import os
from pathlib import Path

from videoag_common.miscellaneous.util import load_config_file, merge_config_into

if "VIDEOAG_CONFIG" not in os.environ:
    raise Exception("Missing VIDEOAG_CONFIG environment variable")
config = load_config_file(Path(os.getcwd()).joinpath(os.environ["VIDEOAG_CONFIG"]))
if "VIDEOAG_TEST_CONFIG_OVERRIDE" in os.environ:
    merge_config_into(
        config,
        load_config_file(Path(os.getcwd()).joinpath(os.environ["VIDEOAG_TEST_CONFIG_OVERRIDE"])),
        overwrite_non_mergeable=True
    )
