from videoag_common.database import *


def get_relationship_foreign_class(all_classes: dict[str, "ApiObjectClass"], relationship: orm.Relationship):
    foreign_table_name = relationship.target.name
    if foreign_table_name not in all_classes:
        raise ValueError(
            f"Relationship '{relationship}' references table which is not an API object: '{foreign_table_name}'")
    return all_classes[foreign_table_name]
